Skip to main content
GET
/
api
/
payment
/
{paymentId}
Get payment details
curl --request GET \
  --url https://api.suby.fi/api/payment/{paymentId} \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "pay_abc123xyz",
    "txHash": "0x1234567890abcdef...",
    "customerEmail": "customer@example.com",
    "method": "WALLET_CONNECT",
    "source": "CRYPTO",
    "tokenAmount": "10000000",
    "valueUsd": "999",
    "feesInToken": "150000",
    "status": "SUCCESS",
    "subscriptionId": "sub_xyz789",
    "asset": {
      "symbol": "USDC",
      "address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
      "decimals": 6,
      "chainId": 1
    },
    "productId": "product_456def",
    "metadata": {
      "orderId": "12345",
      "source": "mobile_app"
    },
    "externalRef": "order_789xyz",
    "successUrl": "https://your-app.com/success",
    "cancelUrl": "https://your-app.com/cancel",
    "grossAmountCents": 1499,
    "platformFeeCents": 22,
    "providerFeeCents": 45,
    "merchantNetCents": 1432,
    "vatAmountCents": 250,
    "createdAt": "2026-01-22T10:30:00.000Z"
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication. Include your API key in the X-Suby-Api-Key header:

X-Suby-Api-Key: your_api_key_here

Path Parameters

paymentId
string
required

Unique identifier of the payment to retrieve

Response

Payment details retrieved successfully

success
boolean

Indicates if the request was successful

Example:

true

data
object

Complete payment information including transaction details, amounts, and fees